Package ch.qos.logback.core.boolex

# Class Matcher

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.boolex.Matcher

All Implemented Interfaces:
  `ContextAware`, `LifeCycle`

public class Matcher extends ContextAwareBase implements LifeCycle

## Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`Matcher()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`String`
`getRegex()`
`boolean`
`isCanonEq()`
`boolean`
`isCaseSensitive()`
`boolean`
`isStarted()`
`boolean`
`isUnicodeCase()`
`boolean`
`matches(String input)`
Checks whether the input matches the regular expression.
`void`
`setCanonEq(boolean canonEq)`
`void`
`setCaseSensitive(boolean caseSensitive)`
`void`
`setName(String name)`
`void`
`setRegex(String regex)`
`void`
`setUnicodeCase(boolean unicodeCase)`
`void`
`start()`
`void`
`stop()`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Matcher

public Matcher()

## Method Details

### getRegex

public String getRegex()

### setRegex

public void setRegex(String regex)

### start

public void start()

Specified by:
  `start` in interface `LifeCycle`

### stop

public void stop()

Specified by:
  `stop` in interface `LifeCycle`

### isStarted

public boolean isStarted()

Specified by:
  `isStarted` in interface `LifeCycle`

### matches

public boolean matches(String input) throws EvaluationException
Checks whether the input matches the regular expression.

Parameters:
  `input` -
Returns:
Throws:
  `EvaluationException`

### isCanonEq

public boolean isCanonEq()

### setCanonEq

public void setCanonEq(boolean canonEq)

### isCaseSensitive

public boolean isCaseSensitive()

### setCaseSensitive

public void setCaseSensitive(boolean caseSensitive)

### isUnicodeCase

public boolean isUnicodeCase()

### setUnicodeCase

public void setUnicodeCase(boolean unicodeCase)

### getName

public String getName()

### setName

public void setName(String name)